%{?nodejs_find_provides_and_requires}

%global packagename create-hmac
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.1.4
Release: 1%{?dist}.3
Summary: Node style hmacs in the browser
License: MIT
URL: https://github.com/crypto-browserify/createHmac
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(create-hash) >= 1.1.0
BuildRequires: npm(create-hash) < 2.0.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(hash-test-vectors) >= 1.3.2
BuildRequires: npm(hash-test-vectors) < 2.0.0
BuildRequires: npm(tape) >= 3.0.3
%endif

%description
Node style hmacs for use in the browser, with native hmac functions in node.
Api is the same as hmacs in node.


%prep
%setup -q -n package
%nodejs_fixdep --dev tape '>=3.0.3'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 1.1.4-1
- Initial package.
